Forum |  HardWare.fr | News | Articles | PC | S'identifier | S'inscrire | Shop Recherche
1577 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

  je n'arrive pas a compilé fvwm sous debian !!!! au secours !

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

je n'arrive pas a compilé fvwm sous debian !!!! au secours !

n°755301
aladinz
Posté le 23-11-2005 à 15:02:25  profilanswer
 

Voila en fait pour avoir la fameuse vrai transparence j'ai attrapé le patch translucent pour fvwm 2.5.12.
 
j'ai bien suivi toutes les etapes mais quand j'en arrive a mon ./configure ça m.....
Apparemment, d'après cette doc il manquerait certaines lib de dev.... ok ! Mais lesquelles....
 
Est-ce que quelqu'un pourrait m'indiquer quelles libs je dois installer....
 
Ensuite si qqu'un pouvait aussi m'expliquer comment on creer un package.... parceque quand je lance sa commande .... je reçois un message d'erreur....
 
Merci pour votre aide !
 

 
The following is a set of instructions to install FVWM with the translucency patch. Before you start please consider the following: First off if your using gentoo the patch is already included and you don't need to install it yourself. If you are using another OS, please consider that the basic meathod introduced here will install FVWM from source and not nesicarally use the pacakge managment of your OS, so you will want to remove any FVWM packages provided with your OS. Also note that because of this you wont be able to manage the install or removal of FVWM with your package manager. My suggestion is if your new to installing softwear from source to consolte your OS first. As a final note if you use debian I provide instructions on how to make your own deb so you can use dpkg to manage the install and removal.
 
First you need is the following:
 
fvwm-2.5.12 source from fvwm.org.  
The translucency patch.  
autoconf version 2.5x.  
automake version 1.7.x (I beilve 1.6.x will work as well).  
other development libraries needed to compile fvwm 2.5.10 from source.  
If you have debian you'll need fakeroot and deb development tools.  
Next follow the instructions to compile FVWM with the translucency patch.
 
Extract the FVWM source, 'tar xjvf fvwm-2.5.12.tar.bz2'.  
Apply the patch, 'cd fvwm-2.5.12' and then 'patch -p1 < ../fvwm-translucency.diff'  
Run 'autoconf' followed by 'aclocal' then 'automake'  
Run the './configure' script, and make sure all the options you want are included. If ya see something missing, you'll need to install the developers lib to get that support.  
Now its time to compile fvwm, there are three options you can use  
Traditional, 'make && make install' (note make install should be run as root)  
Make a custom deb, 'make deb-inplace release=X fullname=name' (note this requires you have the deb building files and fakeroot installed)  
Make a custom rpm, 'make release=X rpm-this' (I don't use rpm systems and have not tried this, so it may or may not work)  
Install the deb/rpm if ya used that method, then run fvwm, its now installed, don't let the 'ugly' default config scare you, and return to here to start learning how to configure it.

mood
Publicité
Posté le 23-11-2005 à 15:02:25  profilanswer
 

n°755318
MarmottePo​wer
Posté le 23-11-2005 à 15:22:40  profilanswer
 

La sortie de ton ./configure pourrait peut etre nous aider. Sans ca, impossible de te conseiller.

n°755327
aladinz
Posté le 23-11-2005 à 15:33:03  profilanswer
 

ben malheureusement ça ne dis pas gd chose.... je vais essayer de ramener les details mais en gros ils checkent la presence de certains programme genre gawk que je je crois ou d'autres  ensuite arrivé a la fin de son check il me balance un aborting et me dis que certaine libs manquent et qu'il faut installer des lib de dev

n°755330
l0ky
Posté le 23-11-2005 à 15:34:53  profilanswer
 

ben justement, c'est peut parce que les librairies de developpement ne sont pas installées que tu ne peux pas le compiler  [:itm]
 
Tu as essayer de les installer ?

n°755340
aladinz
Posté le 23-11-2005 à 15:55:29  profilanswer
 

oui l0ky pas de soucis mais je ne connais pas leur nom.  
 
Je me suis m'y a deb y'a pas longtemps je balance avec dexterité mais ptits apt-get install.... mais fo savoir quoi installer....

n°755341
l0ky
Posté le 23-11-2005 à 15:57:22  profilanswer
 

normalement le .configure te dit quel lib il manque.
Généralement avec un apt-cache search nomque./configuredonne tu trouveras le nom du package [:spamafote]

n°755344
MarmottePo​wer
Posté le 23-11-2005 à 16:03:49  profilanswer
 

Un petit ./configure | tail nous aidera quand meme je pense :)
Ou alors le configure de fvwm est tout pas bo


Message édité par MarmottePower le 23-11-2005 à 16:05:26
n°755347
aladinz
Posté le 23-11-2005 à 16:05:47  profilanswer
 

ok je vois ça et je vous dis dès que possible ... merci les gars

n°755358
-Opera-
mago spé électricité
Posté le 23-11-2005 à 16:41:37  profilanswer
 

Ou alors installe-le avec apt-get pour être sûr d'avoir les dépendances requises, puis apt-get source fvwm + application du patch + dpkg-buildpackage et c'est dans la boîte. [:airforceone]
 
Opera

n°755387
zanton
Posté le 23-11-2005 à 18:05:55  profilanswer
 

surtout que si c'est juste pour avoir la translucence, franchement ça vaut pas le coup de compiler. Avec la translucence, c'est tout de suite le bordel et ça te bouffe un max de ressources si ton pc est pas trop puissant. La transparence de base est largement suffisante amha.


Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

  je n'arrive pas a compilé fvwm sous debian !!!! au secours !

 

Sujets relatifs
Audigy 2ZS debian sarge et "what you hear"aide pour débutant à propos d'un lan avex xp et debian
[Résolu] Install Debian sur un HD SATA en RAID 1[Debian] Probléme lors de l'installation, au niveau du clavie
Le sens du logo Debian enfin révélédebian : je peux pas lancer le serveur X
debian 64 => utiliser des logiciels 32bitnetinstall de Debian via le WIFI
Debian et controlleurs IDE promiseInstallation carte wifi MSI RT2500 PCI sur Debian
Plus de sujets relatifs à : je n'arrive pas a compilé fvwm sous debian !!!! au secours !


Copyright © 1997-2022 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR